import { useState, useEffect} from 'react';
import { connect } from '@umijs/max';
import { ConfigProvider } from 'antd';
import PagesSettingDictionaryTable from '@/components/Render/Setting/Dictionary/table'
import PagesSettingDictionaryCreate from '@/components/Render/Setting/Dictionary/create'

const SettingDictionaryPage: React.FC = ({ dispatch, openModel }: any) => {
    const [id, setId] = useState<number>(0);
    const getId = (value: number) => {
        setId(value)
    }

    useEffect(() => {
        if(!openModel.openModal) {
            setId(0)
        }
    }, [openModel.openModal])

    return (
        <>
            <ConfigProvider
                theme={{
                    token: {
                        colorPrimary: '#4FBE70',
                    }
                }}
            >
                <PagesSettingDictionaryTable getId={getId}></PagesSettingDictionaryTable>
                <PagesSettingDictionaryCreate id={id}></PagesSettingDictionaryCreate>
            </ConfigProvider>
        </>
    );
};

export default connect(({  openModel }: any) => ({
    openModel
}))(SettingDictionaryPage);

